Index: trunk/grails-app/views/inventoryItemDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 175)
+++ trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 182)
@@ -7,4 +7,5 @@
         <title>Show InventoryItem</title>
         <nav:resources override="true"/>
+        <g:render template="/shared/pictureHead" />
     </head>
     <body>
@@ -19,5 +20,20 @@
                 <table>
                     <tbody>
-
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Picture:</td>
+                            <td valign="top" class="value">
+                                <g:if test="${inventoryItemInstance.picture}" >
+                                    <span class='gallery'><wa:pictureLightboxAnchor picture="${inventoryItemInstance.picture}" size="${Image.Medium}" lightboxSize="${Image.Large}" target="_blank" title="Show Original" /></span>
+                                </g:if>
+                                <g:else>
+                                    <g:link controller="pictureDetailed"
+                                                    params="['inventoryItem.id':inventoryItemInstance?.id]"
+                                                    action="create">
+                                        Add Picture
+                                    </g:link>
+                                </g:else>
+                            </td>
+                        </tr>
                     
                         <tr class="prop">
@@ -43,17 +59,23 @@
                         
                         <tr class="prop">
-                            <td valign="top" class="name">Units In Stock:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'unitsInStock')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Unit Of Measure:</td>
-                            
-                            <td valign="top" class="value">${inventoryItemInstance?.unitOfMeasure?.encodeAsHTML()}</td>
-                            
-                        </tr>
-
+                            <td valign="top" class="name">Location:</td>
+                            
+                            <td valign="top" class="value">
+                                <g:link controller="inventoryLocationDetailed" action="show" id="${inventoryItemInstance?.inventoryLocation?.id}">
+                                    ${inventoryItemInstance?.inventoryLocation?.encodeAsHTML()}
+                                </g:link>
+                                    in ${inventoryItemInstance?.inventoryLocation?.inventoryStore.encodeAsHTML()}
+                            </td>
+                            
+                        </tr>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="name">In Stock:</td>
+                            
+                            <td valign="top" class="value">
+                                ${fieldValue(bean:inventoryItemInstance, field:'unitsInStock')} ${inventoryItemInstance?.unitOfMeasure?.encodeAsHTML()}
+                            </td>
+                            
+                        </tr>
                     
                         <tr class="prop">
@@ -184,11 +206,4 @@
                                 </ul>
                             </td>
-                            
-                        </tr>
-                        
-                        <tr class="prop">
-                            <td valign="top" class="name">Inventory Location:</td>
-                            
-                            <td valign="top" class="value"><g:link controller="inventoryLocationDetailed" action="show" id="${inventoryItemInstance?.inventoryLocation?.id}">${inventoryItemInstance?.inventoryLocation?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
